| Home | Libraries | People | FAQ | More

##### string::capacity

Return the number of characters that can be held without a reallocation.

###### Synopsis

    std::size_t
    capacity() const;

###### Description

This number represents the largest number of characters the currently allocated storage can contain. This number may be larger than the value returned by `size()`.

###### Complexity

Constant.